clf

z_mat = 1:8:100;
x_mat = 1:1:48;
[X,Z] = meshgrid(z_mat,x_mat);
ixz = sqrt(ix.^2+iz.^2);

dz = 2*0.0227525;
lambda = 340/5000;

hold on
h=surf(real(10*log10(squeeze(ixz(:,23,:)))));
quiver(X,Z+0.5,real((squeeze(iz(23,x_mat,z_mat)))),real((squeeze(ix(x_mat,23,z_mat)))),1,'black','LineWidth',1)
%q=quiver(X,Z,squeeze(iz(23,x_mat,z_mat)),squeeze(ix(x_mat,23,z_mat)),1,'black','LineWidth',1);

set(h,'zdata',get(h,'zdata')+100);
axis([1 100 1 48])
%shading interp
view(90,270)

daspect([1 1/5 1])
caxis([55 125])
col = colorbar('FontSize',12);
ylabel(col,'dB')

set(h,'edgealpha',0.1)
set(gca,'YTick',[13 19 25 31 37],'FontSize',12)
set(gca,'YTickLabel',[0 15 30 45 60],'FontSize',12)
set(gca,'XTick',10:10:100)
xaks=(100*dz):(100*dz):(1000*dz);
set(gca,'XTickLabel',round(xaks))
 xlabel('Avstand, z, over kilden [cm]','fontsize',12)
 ylabel('Platens utstrekning i x-retning [cm]','fontsize',12)
% title('Intensitet zx-planet ved 5000Hz')

hold off

% set(gcf, 'PaperSize', [100 100]);
% set(gcf, 'PaperPositionMode', 'manual');
%set(gcf, 'PaperPosition', [0 0 12.6 8]);

%savefig('izx_piler','pdf')