clf

z_mat = 1:5:200;
x_mat = 1:1:24;
[X,Z] = meshgrid(z_mat,x_mat);
ixz = sqrt(ix.^2+iz.^2);

dz = 0.0227525/10;


lambda = 340/5000;

hold on
h=surf((10*log10(squeeze(ixz(:,13,:)))));
quiver(X,Z+0.5,((squeeze(iz(13,x_mat,z_mat)))),((squeeze(ix(x_mat,13,z_mat)))),'black')

axis([1 100 1 24])
%axis tight
%shading interp
view(90,270)
caxis([0 20])
colorbar

daspect([1 1/10 1])
set(h,'edgealpha',0.2)
set(gca,'YTick',6:17)
set(gca,'YTickLabel',1:12)
set(gca,'XTick',1:10:200)
xaks=0:(1000*dz):(20000*dz);
set(gca,'XTickLabel',round(xaks))
xlabel('Avstand, z, over kilden [cm]','fontsize',12)
ylabel('Mikrofonposisjon i x-retning','fontsize',12)
%title('Intensitet zx-planet ved 5000Hz')
hold off

% set(gcf, 'PaperSize', [10 8]);
% set(gcf, 'PaperPositionMode', 'manual');
% set(gcf, 'PaperPosition', [0 0 10 8]);

%savefig('izx_piler','pdf')